diff mbox series

[nft,5/6] tests/shell: Fix sporadic fail of include/0007glob_double_0

Message ID 20180319170207.30756-6-phil@nwl.cc
State Accepted
Delegated to: Pablo Neira
Headers show
Series None | expand

Commit Message

Phil Sutter March 19, 2018, 5:02 p.m. UTC
Since ruleset listing shows tables sorted by handle (which in turn
depends on table creation ordering), using random filenames here
guarantees to make the test fail randomly.

Since the include files reside in a temporary directory anyway, there is
no need to randomize their names so simplify the whole test a bit.

Signed-off-by: Phil Sutter <phil@nwl.cc>
---
 tests/shell/testcases/include/0007glob_double_0    | 26 ++++++----------------
 .../testcases/include/dumps/0007glob_double_0.nft  |  4 ++--
 2 files changed, 9 insertions(+), 21 deletions(-)
diff mbox series

Patch

diff --git a/tests/shell/testcases/include/0007glob_double_0 b/tests/shell/testcases/include/0007glob_double_0
index 9b45a62de7ac2..00c3efcb5d296 100755
--- a/tests/shell/testcases/include/0007glob_double_0
+++ b/tests/shell/testcases/include/0007glob_double_0
@@ -8,36 +8,24 @@  if [ ! -d $tmpdir ] ; then
         exit 0
 fi
 
-tmpfile1=$(mktemp -p $tmpdir)
-if [ ! -w $tmpfile1 ] ; then
-        echo "Failed to create tmp file" >&2
-        exit 0
-fi
-
-tmpfile2=$(mktemp -p $tmpdir)
-if [ ! -w $tmpfile2 ] ; then
-        echo "Failed to create tmp file" >&2
-        exit 0
-fi
-
-tmpfile3=$(mktemp)
-if [ ! -w $tmpfile3 ] ; then
+tmpfile=$(mktemp)
+if [ ! -w $tmpfile ] ; then
         echo "Failed to create tmp file" >&2
         exit 0
 fi
 
 # cleanup if aborted
-trap "rm -rf $tmpfile1 $tmpfile2 $tmpfile3 && rmdir $tmpdir" EXIT
+trap "rm -rf $tmpdir $tmpfile" EXIT
 
 RULESET1="add table x"
 RULESET2="add table y"
 RULESET3="include \"$tmpdir/*\""
 
-echo "$RULESET1" > $tmpfile1
-echo "$RULESET2" > $tmpfile2
-echo "$RULESET3" > $tmpfile3
+echo "$RULESET1" > $tmpdir/table_x
+echo "$RULESET2" > $tmpdir/table_y
+echo "$RULESET3" > $tmpfile
 
-$NFT -f $tmpfile3
+$NFT -f $tmpfile
 
 if [ $? -ne 0 ] ; then
         echo "E: unable to load good ruleset" >&2
diff --git a/tests/shell/testcases/include/dumps/0007glob_double_0.nft b/tests/shell/testcases/include/dumps/0007glob_double_0.nft
index f9cb080ffd19a..e4e5f9b1794c8 100644
--- a/tests/shell/testcases/include/dumps/0007glob_double_0.nft
+++ b/tests/shell/testcases/include/dumps/0007glob_double_0.nft
@@ -1,4 +1,4 @@ 
-table ip y {
-}
 table ip x {
 }
+table ip y {
+}